package pr2.io.buffered_reader;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

/**
 * Liest eine Textdatei und gibt den Inhalt auf der Konsole aus.
 */
public class LineNumberPrinter {

    /**
     * Hauptmethode.
     *
     * @param args Kommandozeilen-Argumente.
     */
    public static void main(String[] args) {

        String filename = args.length == 1 ? args[0]
                : "src/main/resources/pr2/collections/list/kafka.txt";

        // Datei lesen und mit Zeilennummern wieder ausgeben
        try {
            BufferedReader br = new BufferedReader(new FileReader(filename));
            String line;
            int zeile = 1;
            while ((line = br.readLine()) != null) {
                System.out.println("Zeile: " + zeile++ +" "+ line);
            }
        }

        catch (IOException e) {
            System.out.println("File not found");
        }
    }
}
